﻿<div class="card card-custom gutter-b shadow-none heir-card bg-gray-100" style="border:1px solid ${Cardcolor}">
    <div class="card-header heir-header" style="background: ${Cardcolor}">
        <span class="card-title font-weight-bold font-size-h4 text-white">
            Retirement Plan - ${text}
            <span class="label label-warning label-pill label-inline font-weight-bold ml-2 text-dark">Previous</span>
        </span>
    </div>
    <div class="card-body pt-2 font-size-h6">
        <table class="table table-sm mb-0 table-borderless table-budget mb-0" id="pre-esp-table-${updateditems[0].employmentOf}">
            <thead style="border-bottom:${Cardcolor} solid 1px">
                <tr>
                    <td class="font-size-h6 font-weight-bold" style="width:180px">Employer</td>
                    <td class="font-size-h6 font-weight-bold" style="width:200px">Type of <br />Retirement Plan</td>
                    <td class="font-size-h6 font-weight-bold text-right max-80px">Current Balance</td>
                    <td class="font-size-h6 font-weight-bold text-right max-40px">Rate of Return</td>
                    <td class="font-weight-bold font-size-h6 pl-2 pr-2 max-w-80px">Receive Income?</td>
                    <td class="font-size-h6 font-weight-bold pl-2 pr-2 text-right min-w-100px">Annual Amount</td>
                    <td style="min-width:60px"></td>
                </tr>
            </thead>
            {{each updateditems}}
            <tr data-guid="${guid}" data-employerid="${employerId}" data-employmentof="${employmentOf}">
                <td>
                    <span class="display-view employername">
                        ${employerName}
                    </span>
                    <span class="edit-view d-none">
                        <input class="form-control input-xs employername required" value="${employerName}" id="employername-${id}" />
                    </span>
                </td>
                <td>
                    <span>
                        ${typeString}
                        {{if otherType}}
                        <span>- ${otherType}</span>
                        {{/if}}
                    </span>
                </td>
                <td class="text-right w-100px">
                    <span class="display-view currentbalance">
                        ${currencyFormat.format(preEmpCurrentBalance)}
                    </span>
                    <span class="edit-view d-none">
                        <input class="form-control input-xs currency currentbalance zero-not-allowed" value="${preEmpCurrentBalance}" id="currentbalance-${id}" />
                    </span>
                </td>
                <td class="w-70px text-right">
                    <span class="display-view ror">
                        ${Number(preEmpAvgRateReturn).toFixed(2)}%
                    </span>
                    <span class="edit-view d-none">
                        <input class="form-control input-xs percentage ror zero-not-allowed" value="${preEmpAvgRateReturn}" id="ror-${id}" />
                    </span>
                </td>
                <td class="w-40px text-center">
                    <span class="display-view hasincome">
                        ${hasPreEmpIncome ? "Yes" : "No"}
                    </span>
                    <span class="edit-view d-none">
                        <span class="switch switch-outline switch-icon switch-custom switch-xs justify-content-center">
                            <label>
                                <input type="checkbox" class="hasincome" ${hasPreEmpIncome == true ? "checked" :""}>
                                <span></span>
                            </label>
                        </span>
                    </span>
                </td>
                <td class='w-100px text-right'>
                    <span class="display-view annualamount">
                        ${preEmpAnnualAmount>0? currencyFormat.format(preEmpAnnualAmount) :"-"}
                    </span>
                    <span class="edit-view d-none">
                        <input class="form-control input-xs currency annualamount zero-not-allowed" value="${preEmpAnnualAmount}" id="annualamount-${id}" />
                    </span>
                </td>
                <td class="w-60px">
                    <div class="display-view">
                        <button class="btn btn-icon btn-xs btn-prevesp-edit" type="button">
                            <i class="la la-pencil-alt icon-lg text-dark" data-toggle="tooltip" data-original-title="Edit"></i>
                        </button>
                        <button class="btn btn-icon btn-xs btn-prevesp-delete" type="button">
                            <i class="la la-trash icon-lg text-dark" data-toggle="tooltip" data-original-title="Delete"></i>
                        </button>
                    </div>
                    <div class="edit-view d-none">
                        <button class="btn btn-icon btn-xs btn-prevesp-save" type="button">
                            <i class="la la-save icon-lg text-dark" data-toggle="tooltip" data-original-title="Save"></i>
                        </button>
                        <button class="btn btn-icon btn-xs btn-prevesp-cancel" type="button">
                            <i class="spinner spinner-primary spinner-sm d-none"></i>
                            <i class="la la-remove icon-lg text-dark" data-toggle="tooltip" data-original-title="Cancel"></i>
                        </button>
                    </div>
                </td>
            </tr>
            {{/each}}
        </table>
    </div>
</div>